# Index management

You can rebuild indexes through [Settings](/reference/settings.md) > [Maintenance](/reference/settings/maintenance.md) > [Index management](/reference/settings/maintenance/index-management.md)

### Search index

Search indexes are used to search for entities, if an entity's index comes out of sync it can cause wrong searches or in more severe cases throw errors in the system.

Clicking 'Rebuild \[entity] index' will start a background task that rebuilds the index for that entity. Rebuilding the index ensures that the system maintains accurate and up-to-date information for entities which in turn ensures optimal and accurate search performance.

### Enrichment insights

Enrichment insights indexes ensure that the systems enrichment insights are up-to-date and accurate. If an entity's enrichment insights index comes out of sync enrichment insights can appear to have wrong completeness and missing data.

Clicking 'Rebuild enrichment insights' for an entity will start a background task that rebuilds the enrichment insight index for that entity. Rebuilding the index makes sure enrichment insights completeness and missing data is correct.

### Identifiers

Identifiers indexes ensure that the systems identifiers are up-to-date and accurate. If an entity's identifiers index comes out of sync it can cause identifiers to appear wrong and cause issues when importing using identifiers.

Clicking 'Rebuild identifiers' for an entity will start a background task that rebuilds the identifier index for that entity.

### Workflows

Workflow indexes ensure that workflow states are up-to-date and accurate for entities. If workflow indexes come out of sync entities can appear to have wrong workflow states.

Clicking 'Rebuild workflow states' will start a background task that rebuilds the workflow index. Rebuilding the index ensures that entity's have their correct workflow states.

### Dynamic categories

Dynamic categories indexes ensure dynamic categories contain the correct entities. If dynamic categories index comes out of sync dynamic categories may contain wrong entities or miss entities that they should contain.

Clicking 'Rebuild workflow states' will start a background task that rebuilds the dynamic categories index. Rebuilding the index ensures that dynamic categories contain the correct entities.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/settings/maintenance/index-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
